Bug 438081 - change smtpdaemon to server(smtp)
change smtpdaemon to server(smtp)
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: sagator (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Jan ONDREJ
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-18 17:47 EDT by Patrice Dumas
Modified: 2009-02-20 09:27 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-20 09:27:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Patrice Dumas 2008-03-18 17:47:41 EDT
Description of problem:

Now that all servers have the server(smtp) virtual provides, it
should be possible to change the requires smtpdaemon to
server(smtp). 
http://fedoraproject.org/wiki/PackagingDrafts/ServerProvides

This is also a good opportunity to check that a local smtp server 
is really needed.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Jan ONDREJ 2008-03-19 01:58:02 EDT
(In reply to comment #0)
> Description of problem:
> 
> Now that all servers have the server(smtp) virtual provides, it
> should be possible to change the requires smtpdaemon to
> server(smtp). 

I will do this when this will be compatible with all current Fedoras (F7 and F8
now). I want to leave my spec file compatible across distributions.

> http://fedoraproject.org/wiki/PackagingDrafts/ServerProvides

Has it been ratified?

> This is also a good opportunity to check that a local smtp server 
> is really needed.

Yes, needed. :-)
Comment 2 Patrice Dumas 2008-03-19 04:16:53 EDT
(In reply to comment #1)
> (In reply to comment #0)
> > Description of problem:
> > 
> > Now that all servers have the server(smtp) virtual provides, it
> > should be possible to change the requires smtpdaemon to
> > server(smtp). 
> 
> I will do this when this will be compatible with all current Fedoras (F7 and F8
> now). I want to leave my spec file compatible across distributions.

Agreed. I would certainly have done the same. What I propose is to 
keep the bug open until this is done. I will do a blocker bug if you are
not the only one wanting to keep smtpdaemon until F7 is eol.

> > http://fedoraproject.org/wiki/PackagingDrafts/ServerProvides
> 
> Has it been ratified?

Yes.
Comment 3 Bug Zapper 2008-05-14 02:42:52 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Jan ONDREJ 2008-08-07 01:09:20 EDT
We have to wait for F8 EOL, because F8 still does not export server(smtp).
Setting deadline to aprox. one month after planned F8 support.
Comment 5 Jan ONDREJ 2009-02-20 09:27:19 EST
Fixed upstream in 1.2.0-0.beta2.
Pushing this to fedora 11, but not for fedora<=10.

Note You need to log in before you can comment on or make changes to this bug.